Skip to content
Permalink
master
Switch branches/tags
Go to file
 
 
Cannot retrieve contributors at this time
FROM python:3.7
ENV PYTHONUNBUFFERED 1
ENV SHELL /bin/bash
# ------------------------------------------
# install necessary packages via apt-get:
# ------------------------------------------
RUN apt-get update && \
apt-get install -y --no-install-recommends \
libsasl2-dev python-dev libldap2-dev libssl-dev
RUN apt-get update && \
apt-get install -y --no-install-recommends \
graphicsmagick
# this is supposed to save memory:
RUN rm -rf /var/lib/apt/lists/*
# ------------------------------------------
# install python dependencies:
# ------------------------------------------
COPY requirements.txt "$INSTALL_DIR/"
RUN pip install -r requirements.txt